/* Student.h defines Student accessor methods.
 * ... documentation omitted to save space ...
 ****************************************************************/

#include <iostream>       // ostream
#include <string>         // string class
#include "Name.h"         // Name class
using namespace std;

class Student
{
 public:
   Student();
   Student(string first, string middle, string last,
            int id);
   Student(string first, string middle, string last,
            int id, double wage, double hours);
            
    Name getName() const;
    int  getIdNumber() const;
    double getHourlyWage() const;
    double getHoursWorked() const;

    void print(ostream& out) const;

   // ... other operations omitted ...

 private:
    Name myName;
    int    myIdNumber;
    double myHourlyWage;
    double myHoursWorked;
};

inline Student::Student()
{
   myIdNumber = 0;
   myHourlyWage = 0.0;
   myHoursWorked = 0.0;
}

inline Student::Student(string first, string middle, string last,
                         int id)
{
   myName = Name(first, middle, last);
   myIdNumber = id;
   myHourlyWage = 0.0;
   myHoursWorked = 0.0;
}

inline Student::Student(string first, string middle, string last,
            int id, double wage, double hours)
{
   myName = Name(first, middle, last);
   myIdNumber = id;
   myHourlyWage = wage;
   myHoursWorked = hours;
}

inline Name Student::getName() const
{
   return myName;
}

inline int Student::getIdNumber() const
{
   return myIdNumber;
}

inline double Student::getHourlyWage() const
{
   return myHourlyWage;
}

inline double Student::getHoursWorked() const
{
   return myHoursWorked;
}

inline void Student::print(ostream& out) const
{
   myName.print(out);
   out << ' ' << getIdNumber() 
       << ' ' << getHourlyWage()
       << ' ' << getHoursWorked();
}

// ... other method definitions omitted ...

